Subject: Re: [net-next PATCH V3] qdisc: validate frames going through the direct_xmit path

From: Jesper Dangaard Brouer <[email-masked]>
Date: Wed, 3 Sep 2014 18:17:22 +0200

On Wed, 03 Sep 2014 09:08:27 -0700 Eric Dumazet <[email-masked]> wrote:
> On Wed, 2014-09-03 at 17:56 +0200, Jesper Dangaard Brouer wrote:
[...]
> > Also handle the error situation where dev_hard_start_xmit() could
> > return a skb list, and does not return dev_xmit_complete(rc) and
> > falls through to the kfree_skb(), in that situation it should
> > call kfree_skb_list().
> 
> It seems that in this situation, we will return rc = -ENETDOWN,
> I do not think this is the right error code. Not sure if that matters...

Yes, I noticed, but we have always returned this, in these kind of err
situations, so I didn't want to change that behavior.

-- 
Best regards,
  Jesper Dangaard Brouer
  MSc.CS, Sr. Network Kernel Developer at Red Hat
  Author of http://www.iptv-analyzer.org
  LinkedIn: http://www.linkedin.com/in/brouer